import { ComponentMeta } from '@storybook/react';
import { action } from '@storybook/addon-actions';
import {QuantitySelectorComponent, QuantitySelectorComponentProps} from 'mystique/components/QuantitySelectorComponent';
import {storyTemplate} from '../../../.storybook/helpers';


export default {
  component: QuantitySelectorComponent,
  title: 'Fluent Plugin/List/Sub Components/Column Components/Quantity Selector (Component ver.)',
} as ComponentMeta<typeof QuantitySelectorComponent>;

const template = storyTemplate(QuantitySelectorComponent);

const requiredProps: QuantitySelectorComponentProps = {
  name: 'QuantitySelectorComponent',
  label: 'QuantitySelectorComponent label',
  data: {
    value: 0,
  },
  onChange: action('onChange'),
  onBlur: action('onBlur'),
};

export const Default = template({
  ...requiredProps,
  value: {
    value: '{{value}}',
    id: 'myQuantitySelector',
  },
});

export const Bounded = template({
  ...requiredProps,
  value: {
    value: '{{value}}',
    id: 'myQuantitySelector',
  },
  validation: {
    min: 0,
    max: 10,
  },
});

export const InnerText = template({
  ...requiredProps,
  innerText: {
    string: 'of {{max}}',
    options: {
      color: {
        all: 'primary',
        some: 'secondary',
        none: 'error',
      },
    },
  },
  validation: {
    max: 10,
  },
});

export const InvalidData = template({
  ...requiredProps,
  value: {
    value: '{{value}}',
    id: 'myQuantitySelector',
  },
  itemValidation: {
    condition: '{{eq value 0}}',
    messageOnInvalid: '<Insert Invalid Message Here>',
  },
});